package com.sunxung.factoring.entity.purchcontractmanagement.vo;

import com.sunxung.factoring.entity.customerinformation.Customer;
import com.sunxung.factoring.entity.entprise.Enterprise;
import com.sunxung.factoring.entity.project.ProjectInformation;
import com.sunxung.factoring.entity.purchcontractmanagement.*;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesContractBasicVo;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description : 采购合同详情信息vo类
 * @Author : JiaYf
 * @Date: 2021-09-16 09:36
 */
public class PurchContractVo {

    private Long businessKey;

    /**
     * 基础信息
     */
    private SalesContractBasicVo basicInfo;

    /**
     * 合同信息
     */
    private PurchContractBasicInfo purchContractBasicInfo;

    /**
     * 质保金
     */
    private PurchContractRetentionInfo purchContractRetentionInfo;

    /**
     * 价格规则
     */
    private PurchContractPriceRule purchContractPriceRule;

    /**
     * 结算与付款
     */
    private PurchContractSettlePayment purchContractSettlePayment;

    /**
     * 供应商发货人
     */
    private List<PurchContractBuyerSeller> purchContractBuyerSellerList;

    /**
     * 货物信息
     */
    private List<PurchContractGoodsInfo> purchContractGoodsInfoList;

    private String taskId;

    /**
     * 0 暂存 1 提交
     */
    private Integer commit;

    public SalesContractBasicVo getBasicInfo() {
        return basicInfo;
    }

    public void setBasicInfo(SalesContractBasicVo basicInfo) {
        this.basicInfo = basicInfo;
    }

    public PurchContractBasicInfo getPurchContractBasicInfo() {
        return purchContractBasicInfo;
    }

    public void setPurchContractBasicInfo(PurchContractBasicInfo purchContractBasicInfo) {
        this.purchContractBasicInfo = purchContractBasicInfo;
    }

    public PurchContractRetentionInfo getPurchContractRetentionInfo() {
        return purchContractRetentionInfo;
    }

    public void setPurchContractRetentionInfo(PurchContractRetentionInfo purchContractRetentionInfo) {
        this.purchContractRetentionInfo = purchContractRetentionInfo;
    }

    public PurchContractPriceRule getPurchContractPriceRule() {
        return purchContractPriceRule;
    }

    public void setPurchContractPriceRule(PurchContractPriceRule purchContractPriceRule) {
        this.purchContractPriceRule = purchContractPriceRule;
    }

    public PurchContractSettlePayment getPurchContractSettlePayment() {
        return purchContractSettlePayment;
    }

    public void setPurchContractSettlePayment(PurchContractSettlePayment purchContractSettlePayment) {
        this.purchContractSettlePayment = purchContractSettlePayment;
    }

    public List<PurchContractBuyerSeller> getPurchContractBuyerSellerList() {
        return purchContractBuyerSellerList;
    }

    public void setPurchContractBuyerSellerList(List<PurchContractBuyerSeller> purchContractBuyerSellerList) {
        this.purchContractBuyerSellerList = purchContractBuyerSellerList;
    }

    public List<PurchContractGoodsInfo> getPurchContractGoodsInfoList() {
        return purchContractGoodsInfoList;
    }

    public void setPurchContractGoodsInfoList(List<PurchContractGoodsInfo> purchContractGoodsInfoList) {
        this.purchContractGoodsInfoList = purchContractGoodsInfoList;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Integer getCommit() {
        return commit;
    }

    public void setCommit(Integer commit) {
        this.commit = commit;
    }
}
